<?php

if ( $wyslany_formularz ) {

  if ( $_POST['dodaj_nagranie'] and !empty($_POST['nazwa']) ) {
    if ( $_POST['edytowane'] != '' )
      $zawartosc['nagrania'][$_POST['edytowane']] = array( 'tytul' => bezpieczny_html($_POST['tytul']), 'nazwa' => $_POST['nazwa'] );
    else
      $zawartosc['nagrania'][] = array( 'tytul' => $_POST['tytul'], 'nazwa' => $_POST['nazwa'] );
    $komunikat = 'dob.Nagranie zostało zapisane.';
  }
  
  if ( $_POST['usun_nagranie'] and $_POST['usuwane'] != '' ) {
    unset( $zawartosc['nagrania'][ $_POST['usuwane'] ] );
    $komunikat = 'dob.Nagranie zostało usunięte.';
  }
  if ( $_POST['ustawienia'] ) {
    $zawartosc['ustawienia'] = array ( 'kolejnosc' => $_POST['kolejnosc'], 'auto_start' => $_POST['auto_start'], 'auto_dalej' => $_POST['auto_dalej']  );
    $komunikat = 1;
  }
  
  if ( $zawartosc['ustawienia']['kolejnosc'] < 1 )
    $zawartosc['ustawienia']['kolejnosc'] = 1;

}

elseif ( $panel_administracyjny ) {

  if ( is_numeric($_GET['edycja']) and isset($zawartosc['nagrania'][$_GET['edycja']]) ) {
    $edycja = true;
    $edycja_numer = $_GET['edycja'];
    $edycja_nazwa = $zawartosc['nagrania'][$edycja_numer]['nazwa'];
    $edycja_tytul = $zawartosc['nagrania'][$edycja_numer]['tytul'];
  }
  else
    $edycja = false;
  
  $rozszerzenia = array ( 'mp3' );
  foreach ( wszystkie_pliki() as $element ) {
    $nazwa_elementu = explode('.',$element);
    foreach ( $rozszerzenia as $koncowka ) {
      if ( $nazwa_elementu[ count($nazwa_elementu)-1 ] == $koncowka )
        $pliki[] = $element;
    }
  }
  
?>

<form method="post">

<table>

<caption><?php echo ($edycja) ? 'Edycja nagrania' : 'Dodawanie nagrania' ?></caption>

<tr> <td>Zdjęcie:</td> <td>

<select name="nazwa">

<?php
if ( $edycja )
  echo '<optgroup label="Wybrane"><option class="wybrane">'.$edycja_nazwa.'</option></optgroup>';
echo '<optgroup label="Pliki dźwiękowe">';
generuj_optgroup ($pliki);
echo '</optgroup>';
?>

</select>

</td> </tr>
<tr> <td>Tytuł:</td> <td><input name="tytul" value="<?php if ($edycja) { echo $edycja_tytul; } ?>" /></td> </tr>

</table>

<?php if ($edycja) { ?><input type="hidden" name="edytowane" value="<?php echo $edycja_numer ?>" /><?php } ?>
<input type="hidden" name="dodaj_nagranie" value="1" />

<p class="submit">
<input type="submit" value="<?php echo ($edycja) ? 'Zapisz nagranie' : 'Dodaj nagranie' ?>" />
<?php if ($edycja) { ?><a href="<?php echo $z ?>">Nowe nagranie</a><?php } ?>
</p>

</form>

<form method="post">

<table>

<caption>Istniejące nagrania</caption>

<tr> <th>Nazwa</th> <th>Tytuł</th> <th class="waska-kolumna">Usuwanie</th> </tr>

<?php
if ( count($zawartosc['nagrania']) == 0 )
  echo '<tr> <td colspan="3">Brak nagrań.</td> </tr>';
else {
  foreach ( $zawartosc['nagrania'] as $numer => $element ) {
    echo '<tr> <td> <a href="' . $z . '&edycja=' . $numer . '">' . tekst($element['nazwa'],false) . '</a> </td> <td>' . tekst($element['tytul'],false) . '</td> <td class="waska-kolumna"><input type="radio" name="usuwane" value="' . $numer . '" /></td> </tr>' . "\n";
  }
}
?>

<tr> <td></td> <td></td> <td class="waska-kolumna"><input type="submit" value="Usuń" onclick="return confirm('Czy na pewno chcesz usunąć zdjęcie?\nTa operacja jest nieodwracalna.')" /></td> </tr>

</table>

<input type="hidden" name="usun_nagranie" value="1" />

</form>

<form method="post">

<table>

<caption>Ustawienia biblioteki audio</caption>

<tr> <td>Kolejność:</td> <td><label><input type="radio" name="kolejnosc" value="1" <?php zaznacz_checkbox($zawartosc['ustawienia']['kolejnosc'],1) ?> />chronologicznie</label><label><input type="radio" name="kolejnosc" value="2" <?php zaznacz_checkbox($zawartosc['ustawienia']['kolejnosc'],2) ?> />chronol. odwrotnie</label><br /><label><input type="radio" name="kolejnosc" value="3" <?php zaznacz_checkbox($zawartosc['ustawienia']['kolejnosc'],3) ?> />losowo</label><label><input type="radio" name="kolejnosc" value="4" <?php zaznacz_checkbox($zawartosc['ustawienia']['kolejnosc'],4) ?> />alfabetycznie (wg tytułów)</label></td> </tr>
<tr> <td><label><input type="checkbox" name="auto_start" value="1" <?php zaznacz_checkbox($zawartosc['ustawienia']['auto_start']) ?> />automatycznie odtwarzaj pierwszy plik</label></td> <td><label><input type="checkbox" name="auto_dalej" value="1" <?php zaznacz_checkbox($zawartosc['ustawienia']['auto_dalej']) ?> />automatycznie kontynuuj odtwarzanie</label></td> </tr>

</table>

<input type="hidden" name="ustawienia" value="1" />

<p class="submit">
<input type="submit" value="Zapisz zmiany" />
</p>

</form>

<?php
}